/* ---------------------------------------------------------------------------------------------------------------- */
/*                                                                                                                  */
/*  Sidebar menu                                                                                                    */
/*  ============                                                                                                    */
/*                                                                                                                  */
/*    Version    : 6.2                                                                                              */
/*    Date       : 19.09.2024                                                                                       */
/*    Written by : Slobodan Zorko                                                                                   */
/*                                                                                                                  */
/* ---------------------------------------------------------------------------------------------------------------- */



/* -- Global settings --------------------------------------------------------------------------------------------- */

*                  { box-sizing          : border-box;         }

body               { margin              : 0px                 ;
                     padding             : 0px                 ;
                     font                : 8pt Calibri, Verdana;
                     color               : rgb(  0,  0,  0)    ;
                     background-color    : rgb(255,255,255)    ;
                     text-align          : left                ;
                     overflow            : hidden              ;
                   }


/* -- Scroll box -------------------------------------------------------------------------------------------------- */

.scrollBox         { overflow-y          : auto                ;
                     overflow-x          : hidden              ;
                     margin              : 0px -10px 0px 0px   ;
                     padding-right       : 0px                 ;
                     scrollbar-gutter    : stable              ;
                   }

@supports          (-moz-appearance:button) and (contain:paint)
{
.scrollBox         { scrollbar-width     : thin                ;
                     scrollbar-color     : rgb(192,192,192) rgb(255,255,255);
                   }
}

.scrollBox::-webkit-scrollbar             { width     : 5px; height: 5px;  }
.scrollBox::-webkit-scrollbar-track       { background: rgb(255,255,255);  }
.scrollBox::-webkit-scrollbar-thumb       { background: rgb(192,192,192);  }
.scrollBox::-webkit-scrollbar-thumb:hover { background: rgb(192,192,192);  }


/* -- Frame ------------------------------------------------------------------------------------------------------- */

.navTab            { padding-left        : 250px   ;
                     position            : absolute;
                     top                 : 0px     ;
                     left                : 0px     ;
                     width               : 100%    ;
                     height              : 100%    ;
                   }

#navFrame          { width               : 100%    ;
                     height              : 100%    ;
                     overflow            : hidden  ;
                     border              : none    ;
                     border-left         : 1px dotted rgb(204,204,204);
                   }


/* -- Menu -------------------------------------------------------------------------------------------------------- */

.mnuTab            { padding             : 5px 10px 5px 10px;
                     width               : 250px   ;
                     position            : absolute;
                     top                 : 0px     ;
                     left                : 0px     ;
                     display             : flex    ;
                     margin-top          : 0px     ;
                     margin-bottom       : 0px     ;
                     height              : 100%    ;
                     flex-direction      : column  ;
                   }

.mnuItem           { padding             : 10px    ;
                     width               : 100%    ;
                     margin-bottom       : 5px     ;
                     margin-right        : 0px     ;
                     font-weight         : normal  ;
                     font-size           : 14pt    ;
                     cursor              : pointer ;
                     text-align          : right   ;
                     transition-duration : 0.3s    ;
                     border-radius       : 5px     ;
                     display             : inline-block;
                   }

/*-- Lines ----- */

.mnuLine           { border              : none            ;
                     margin              : 5px 0px 10px 0px;
                     padding             : 0px 5px         ;
                     border-top          : 1px dotted rgb(204,204,204);
                   }

/*-- Items ----- */

.mnuCol            { background-color:rgb(248,248,248); border: 2px solid rgb(248,248,248); }
.mnuHover          { background-color:rgb(248,248,248); border: 2px solid rgb(255,191,  0); }
.mnuSel            { background-color:rgb(255,191,  0); border: 2px solid rgb(255,191,  0); }

/* -- Labels --- */

.mnuText           { color:rgb(0  ,0  ,  0); cursor:auto;                                                                                 }
.mnuTextC          { color:rgb(127,127,127); font-size: 9pt; padding-top:0px;                                                             }
.mnuTextI          { text-align:right ; vertical-align:middle; padding-top:0px; padding-bottom:0px; padding-right:0px; margin-bottom:0px; }
.mnuTextS          { height:20px; margin-bottom:0px; padding-bottom:0px; padding-top: 0px;                                                }
.mnuTextX          { color:rgb(  0,  0,  0); font-size:14pt; font-weight:bold;                                                            }



/* ---------------------------------------------------------------------------------------------------------------- */